tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Remy Maucherat <r...@apache.org>
Subject Re: [5.0] Schedule change
Date Tue, 30 Sep 2003 20:45:28 GMT
Bill Barker wrote:
> You can be a Servlet 2.3 container, or you can be a Servlet 2.4 container,
> but not both (see for example, BZ #23525).  I agree with Yoav that what

Well, Sun is claiming full compatibility, so I'm assuming it's fully 
compatible :)

> people want most from Tomcat 5 is a Servlet 2.4/JSP 2.0 container.

There are only bad solutions here:
- wait for an unspecified, and possibly long, amount of time, sitting on 
a finished product
- backport patches (we probably don't have the resources, and 
destabilizing 4.1 would be bad; we'd have to use a new 4.2 branch)
- branch a new 4.2 based on the current 5.0, and remove features (IMO it 
doesn't make any sense, plus that would destabilize the codebase - a bit 
less than the previous option, however -, and run into a similar 
resources issues)

If the first option is chosen, I will go work on other stuff (at JBoss) 
while the project stays idle (chômage technique, as we say in French).
As you all know: no stable release = no testers = no bugs = nothing to 
fix :-(

I don't have any time to dedicate to either of the other two options, as 
I have neither motivation nor need for such a product. Sorry :-(

So I think we're stuck :-(

Remy



Mime
View raw message